Bug 64284 - Kernel upgrade from 2.4.7-10 to 2.4.9-31 produces kernel panic on boot with Dell PowerEdge 1650
Kernel upgrade from 2.4.7-10 to 2.4.9-31 produces kernel panic on boot with D...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-01 11:45 EDT by Jason Corley
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Corley 2002-05-01 11:45:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
I have a Dell PowerEdge 1650 I'm trying to do a kickstart on.  Part of the
post-install I have applies all errata updates.  As part of the install process
for the 1650 I have to add the following device options to the aacraid module:
aacraid_pciid=0x1028,0x0a,0x1028,0x011b otherwise the kernel doesn't recognize
that a hard drive exists.  When I upgrade to the 2.4.9-31 kernel, and try to
boot to it, it says parm_aacraid_pciid is not a valid option for the aacraid
module and kernel panics (can't mount root).  I booted into the old kernel,
mounted the 2.4.9-31 initrd and removed the option lines for the aacraid module
from the linuxrc file, and voila the system boots just fine with 2.4.9-31.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Purchase Dell PowerEdge 1650
2. Install Red Hat 7.2 (passing appropriate parameters to aacraid controller)
3. Install errata kernel
4. Attempt to boot to new kernel and watch as kernel panic occurs

Actual Results:  Bootup complains about invalid module parameters to aacraid
module and kernel panics (can't find root).

Expected Results:  Machine should boot with new kernel.

Additional info:
Comment 1 Arjan van de Ven 2002-05-01 13:28:53 EDT
The old module was doing invalid things and adaptec snuck in a hack.
The new driver is not from adaptec and is actually a clean linux driver.
Comment 2 Jason Corley 2002-05-01 13:57:17 EDT
I suppose that makes sense in terms of driver differences.  Mkinitrd is pulling
the bogus options line from /etc/modules.conf, which I need for the 2.4.7-10
kernels.  Shouldn't the clean linux driver know to throw the old options away
rather than kernel panic or am I just stuck manually fixing this problem on
every PowerEdge 1650 I buy?
Comment 3 Bugzilla owner 2004-09-30 11:39:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.